Get Discovered Applications

Get Discovered Applications
Get discovered application IDs

Get the discovered application entity IDs.

Request
URI
GET
https://{api_host}/api/ni/groups/discovered-applications
COPY
Query Parameters
number
size
Optional
Constraints: default: 10

Page size of results

string
cursor
Optional

Cursor from previous response

string
discovery_type
Required
Constraints: default: SERVICE_NOW

The discovery type of the application. Allowed values are SERVICE_NOW and FLOW_BASED_DISCOVERY.

string
granularity
Optional

The granularity of the discovered applications. Only applies to flow based discovery. Allowed values are FINE, MEDIUM and COARSE.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns PagedListResponse of type(s) application/json
{
    "results": [
        {
            "entity_id": "18230:561:271275765",
            "entity_type": "Application"
        }
    ],
    "total_count": 1
}
array of object
results
Optional

Array with resulting objects and their information

string
cursor
Optional

Cursor for the next page

integer
total_count
Optional

Total number of objects

integer As int64 As int64
start_time
Optional

Start timestamp of the window of the objects returned

integer As int64 As int64
end_time
Optional

End timestamp of the window of the objects returned


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


500

Internal error

Returns InternalErrorResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/ni/groups/discovered-applications?discovery_type=v